module demo
{
  module interceptors
    {
      module proprietary
	{
	  interface MyServer 
	    {

	      exception e {
		string why;
	      };

	      string writeNumber( in long i ) raises (e);

	      string writeNumberWithEx( in long i ) raises (e);

	      oneway void notify( in string msg );
	    };
	};
    };
};
